%define 	module	blockdiag
Summary:	Blockdiag generate block-diagram image file from spec-text file
Name:		python-%{module}
Version:	1.1.6
Release:	2
License:	Apache v2.0
Group:		Development/Languages
URL:		http://blockdiag.com/en/blockdiag/index.html
Source0:	http://pypi.python.org/packages/source/b/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	6057b077618df3b9f4c5a73910ddd736
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sed >= 4.0
Requires:	python-PIL
%if "%{py_ver}" < "2.7"
Requires:	python-ordereddict
%endif
Requires:	python-funcparserlib >= 0.3.4
Requires:	python-modules >= 2.4
Requires:	python-webcolors >= 1.3.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
blockdiag generate block-diagram image file from spec-text file.

Features:
- Generate block-diagram from dot like text (basic feature).
- Multilingualization for node-label (utf-8 only).

%prep
%setup -q -n %{module}-%{version}
%{__sed} -i -e 's/^from ez_setup/#from ez_setup/' setup.py
%{__sed} -i -e 's/^use_setuptools()/#use_setuptools()/' setup.py

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install \
	--root $RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/tests
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}_sphinxhelper.*

install -d $RPM_BUILD_ROOT%{_mandir}/man1
cp -p %{module}.1 $RPM_BUILD_ROOT%{_mandir}/man1

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{module}
%{_mandir}/man1/%{module}.1*
%{py_sitescriptdir}/%{module}
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-%{version}-*.egg-info
%endif
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-blockdiag.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 05a7194
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8c93baa
- automatic change: use py_build/py_install macros

* Wed Aug 01 2012 Łukasz Kieś <kiesiu@pld-linux.org> c3ab616
- more versioned requires
- no need of devel-tools

* Wed Aug 01 2012 Łukasz Kieś <kiesiu@pld-linux.org> 036f38e
- updated to 1.1.6

* Sun Feb 19 2012 Adam Gołębiowski <adamg@pld-linux.org> 0a88fb9
- updated to 1.1.3

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> b122c2f
- up to 1.1.2

* Sun Dec 04 2011 Elan Ruusamäe <glen@pld-linux.org> e2a035c
- can do OrderedDict on py2.4 as well then

* Sun Dec 04 2011 Elan Ruusamäe <glen@pld-linux.org> c3795bd
- use collections.OrderedDict when available

* Sun Dec 04 2011 Elan Ruusamäe <glen@pld-linux.org> 8124828
- ordereddict needed only for py<2.7 according to docs

* Fri Dec 02 2011 zbyniu <zbyniu@pld-linux.org> debd875
- up to 1.1.1

* Wed Oct 19 2011 Elan Ruusamäe <glen@pld-linux.org> ff12086
- cosmetic

* Wed Oct 19 2011 Elan Ruusamäe <glen@pld-linux.org> 182c893
- seem to work without setuptools at runtime

* Wed Oct 19 2011 Elan Ruusamäe <glen@pld-linux.org> 64edd7c
- remove tests

* Tue Oct 18 2011 Elan Ruusamäe <glen@pld-linux.org> a367b70
- no double slashes

* Tue Oct 18 2011 Elan Ruusamäe <glen@pld-linux.org> 7a1658b
- no default attr for man

* Tue Oct 18 2011 Elan Ruusamäe <glen@pld-linux.org> 5979c5a
- do not enforce gzip compressed man, cosmetics

* Tue Oct 18 2011 cieciwa <cieciwa@pld-linux.org> 3927c0e
- clean.

* Tue Oct 18 2011 cieciwa <cieciwa@pld-linux.org> 8138d87
- added manual file.

* Tue Oct 18 2011 cieciwa <cieciwa@pld-linux.org> bc9c392
- removed not needed file.

* Tue Oct 18 2011 cieciwa <cieciwa@pld-linux.org> 797c415
- added blockdiag_sphinxhelper file,
- release 1

